--- 4.5.38/exim.conf-SpamBlockerTechnology-v4.5.38.txt	2022-05-04 17:22:25.000000000 -0600
+++ 4.5.39/exim.conf-SpamBlockerTechnology-v4.5.39.txt	2022-06-28 15:52:55.084548796 -0600
@@ -1,4 +1,4 @@
-# SpamBlockerTechnology* powered exim.conf, Version 4.5.38
+# SpamBlockerTechnology* powered exim.conf, Version 4.5.39
 # May 4, 2022
 # Exim configuration file for DirectAdmin
 # Requires exim.pl as distributed by DirectAdmin here:
@@ -212,7 +212,6 @@
 
 #EDIT#31:
   accept  sender_domains = +whitelist_domains
-          domains = +local_domains
           logwrite = $sender_host_address whitelisted in local domains whitelist
           set acl_m_is_whitelisted = 1
   accept  hosts = +whitelist_hosts
@@ -787,12 +786,22 @@
 #I had found srs_orig_recipient variable, but wasn't able to use it to check for local fordwarders.
 #so any email to SRS0=..@localdomain.com will be accepted and dropped into the :blackhole:, which should be sufficient to satisfy the sender verify, and prevent any spam since it's always dropped.
 #if the final recipient hits "reply", it should already go to the orignal remote sender, not to the SRS name.
-srs_router:
-  driver =	redirect
-  condition = ${if exists{/etc/exim.srs.forward.conf}}
-  srs =		reverse
-  data = :blackhole:
-  domains =	+local_domains
+inbound_srs_failure:
+    driver =    redirect
+    senders =   :
+    domains =   +local_domains
+    # detect inbound bounces which look SRS'd but are invalid
+    condition = ${if inbound_srs {$local_part} {}}
+    allow_fail
+    data =      :fail: Invalid SRS recipient address
+
+inbound_srs:
+    driver =    redirect
+    senders =   :
+    domains =   +local_domains
+    # detect inbound bounces which are SRS'd, and decode them
+    condition = ${if inbound_srs {$local_part} {SRS_SECRET}}
+    data =      $srs_recipient
    
 #forwarder exists
 #user exists
@@ -813,14 +822,13 @@
 #user does not exist
 virtual_aliases_nouser_nostar:
   driver = redirect
-  .include_if_exists /etc/exim.srs.forward.conf
   allow_defer
   allow_fail
   domains = lsearch,ret=key;/etc/virtual/domainowners
   condition = ${if exists{/etc/virtual/${domain_data}/passwd}{1}{0}}
   condition = ${lookup{$local_part}lsearch{/etc/virtual/${domain_data}/aliases}{1}{0}}
   condition = ${lookup{$local_part}lsearch{/etc/virtual/${domain_data}/passwd}{0}{1}}
-  data = ${lookup{$local_part}lsearch{/etc/virtual/$domain_data/aliases}}
+  data = ${if exists{/etc/virtual/$domain_data/aliases}{${lookup{$local_part}lsearch*{/etc/virtual/$domain_data/aliases}}}}
   file_transport = address_file
   group = mail
   pipe_transport = virtual_address_pipe
@@ -845,11 +853,10 @@
 virtual_aliases:
   #only the wildcard will be used here
   driver = redirect
-  .include_if_exists /etc/exim.srs.forward.conf
   allow_defer
   allow_fail
   domains = lsearch,ret=key;/etc/virtual/domainowners
-  data = ${if exists{/etc/virtual/$domain_data/aliases}{${lookup{$local_part}lsearch*{/etc/virtual/$domain_data/aliases}}}}
+  data = ${lookup{$local_part}lsearch{/etc/virtual/$domain_data/aliases}}
   file_transport = address_file
   group = mail
   pipe_transport = virtual_address_pipe
@@ -1028,6 +1035,8 @@
   helo_data = ${if exists{/etc/virtual/helo_data}{${lookup{$sending_ip_address}iplsearch{/etc/virtual/helo_data}{$value}{$primary_hostname}}}{$primary_hostname}}
   hosts_try_chunking =
   hosts_try_fastopen =
+  max_rcpt = 1
+  return_path = ${srs_encode {SRS_SECRET} {$return_path} {$original_domain}}
 .include_if_exists /etc/exim.dkim.conf
 
 #EDIT#62:
